PMDAZFS(1)

NAME
pmdazfs - ZFS filesystem performance metrics domain agent (PMDA) for Linux

SYNOPSIS
$PCP_PMDAS_DIR/linux_zfs/pmdazfs [-d domain] [-l logfile]

DESCRIPTION
pmdazfs is a Performance Metrics Domain Agent (PMDA) which extracts performance metrics describing the state of the ZFS filesystem from the stats files located in /proc.

The zfs PMDA exports metrics that measure information about caching (ARC, L2ARC, ZIL, VDEV), buffering, RAIDZ, dnode operations and pools IO.

A brief description of the pmdazfs command line options follows:

-d  The performance metrics domain number must be set to a unique value.

-l  Location of the log file. By default, a log file named zfs.log is written in the current directory of pmcd(1) when pmdazfs is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

INSTALLATION
OpenZFS is not included in PCP, and has to be installed on the system from the available packages or source. Once OpenZFS is installed and configured, the stats files should appear in /proc and PMDA can be added to PMCD using the Install script:

# cd $PCP_PMDAS_DIR/zfs
# ./Install

To remove PMDA use the Remove script:

# cd $PCP_PMDAS_DIR/zfs
# ./Remove

SEE ALSO
PCPIntro(1), pmcd(1), pcp.conf(5) and pcp.env(5).